package de.fhhannover.inform.trust.ifmapj.binding;

import java.io.InputStream;

import de.fhhannover.inform.trust.ifmapj.exception.MarshalException;
import de.fhhannover.inform.trust.ifmapj.exception.UnmarshalException;
import de.fhhannover.inform.trust.ifmapj.messages.EndSessionRequest;
import de.fhhannover.inform.trust.ifmapj.messages.NewSessionRequest;
import de.fhhannover.inform.trust.ifmapj.messages.PollRequest;
import de.fhhannover.inform.trust.ifmapj.messages.PublishRequest;
import de.fhhannover.inform.trust.ifmapj.messages.PurgePublisherRequest;
import de.fhhannover.inform.trust.ifmapj.messages.RenewSessionRequest;
import de.fhhannover.inform.trust.ifmapj.messages.SearchRequest;
import de.fhhannover.inform.trust.ifmapj.messages.SubscribeRequest;

/**
 * Interface for a {@link Marshaller}.
 * 
 * @author aw
 */
public interface Marshaller {
	
	public InputStream marshalNewSessionRequest(NewSessionRequest nr) throws MarshalException, UnmarshalException;
	
	public InputStream marshalEndSessionRequest(EndSessionRequest er) throws MarshalException;
	
	public InputStream marshalRenewSessionRequest(RenewSessionRequest rr) throws MarshalException;
	
	public InputStream marshalPollRequest(PollRequest pr) throws MarshalException;
	
	public InputStream marshalPurgePublisherRequest(PurgePublisherRequest pr) throws MarshalException;
	
	public InputStream marshalPublishRequest(PublishRequest pr) throws MarshalException;
	
	public InputStream marshalSubscribeRequest(SubscribeRequest sr) throws MarshalException;
	
	public InputStream marshalSearchRequest(SearchRequest sr) throws MarshalException;
	

}
