package de.fhhannover.inform.trust.ifmapj.channel;

import java.io.IOException;
import java.io.InputStream;

import de.fhhannover.inform.trust.ifmapj.exception.CommunicationException;

public interface CommunicationHandler {

	/**
	 * Use HTTP post to send the request.
	 * 
	 * @param is request's HTTP body
	 * @return response's HTTP body
	 * @throws IOException 
	 * @throws ProtocolException 
	 */
	public InputStream doRequest(InputStream is) throws CommunicationException;

	public void setGzip(boolean gzip);

	public boolean usesGzip();
	
	/**
	 * Closes the underlying TCP connection.
	 */
	public void closeTcpConnection() throws CommunicationException;
}
