package de.fhhannover.inform.trust.ifmapj.identifier;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * Trivial tests for {@link Identity} class.
 * 
 * @author ibente
 *
 */
public class IdentityTest {
	public String ad = "de.fhhannover.inform.trust";
	public String name = "publisherid:number";
	public String otd = "vendorid:definition";

	@Test
	public void testIdentity() {
		Identity id = new Identity();
		
		assertNotNull(id);
		assertNull(id.getAdministrativeDomain());
		assertNull(id.getName());
		assertNull(id.getOtherTypeDefinition());
		assertNull(id.getType());
		
		id.setAdministrativeDomain(ad);
		id.setName(name);
		id.setOtherTypeDefinition(otd);
		id.setType(IdentityType.userName);
		
		assertEquals(ad, id.getAdministrativeDomain());
		assertEquals(name, id.getName());
		assertEquals(otd, id.getOtherTypeDefinition());
		assertEquals(IdentityType.userName, id.getType());
	}

	@Test
	public void testIdentityToString() {
		
		Identity id = new Identity();
		
		assertEquals("id{null, null}", id.toString());
		
		id.setType(IdentityType.aikName);
		assertEquals("id{null, aik-name}", id.toString());
	
		id.setType(IdentityType.dnsName);
		id.setAdministrativeDomain("abc");
		assertEquals("id{null, dns-name, abc}", id.toString());
		
		id.setName("www.google.com");
		assertEquals("id{www.google.com, dns-name, abc}", id.toString());
		
		id.setType(IdentityType.other);
		id.setName("abc");
		id.setOtherTypeDefinition(null);
		assertEquals("id{abc, other, null, abc}", id.toString());
		
		id.setAdministrativeDomain("");
		assertEquals("id{abc, other, null}", id.toString());
		
		id.setOtherTypeDefinition("the-other-guy");
		assertEquals("id{abc, other, the-other-guy}", id.toString());
		
		id.setAdministrativeDomain("the-other-side");
		assertEquals("id{abc, other, the-other-guy, the-other-side}",
				id.toString());
	}
}
