package de.fhhannover.inform.trust.ifmapj.result;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

import de.fhhannover.inform.trust.ifmapj.messages.NewSessionResult;
import de.fhhannover.inform.trust.ifmapj.messages.ResultFactory;
import de.fhhannover.inform.trust.ifmapj.messages.ResultFactoryImpl;

/**
 * Trivial tests for class {@link NewSessionResult}.
 * 
 * @author ibente
 *
 */
public class NewSessionResultTest {
	
	private ResultFactory rF = new ResultFactoryImpl();
	
	@Test (expected=NullPointerException.class)
	public void testNewSessionResultNull() {
		@SuppressWarnings("unused")
		NewSessionResult nsr = rF.createNewSessionRes(null, null);
	}
	
	@Test (expected=NullPointerException.class)
	public void testNewSessionResultNull2() {
		@SuppressWarnings("unused")
		NewSessionResult nsr = rF.createNewSessionRes(null, null, null);
	}
	
	@Test
	public void testNewSessionResult() {
		String sid = "0123456789";
		String pid = "publisher:0123456789";
		Integer mprs = new Integer(10000);
		NewSessionResult nsr;
		
		nsr = rF.createNewSessionRes(sid, pid);
		assertEquals(pid, nsr.getPublisherId());
		assertEquals(sid, nsr.getSessionId());
		assertNull(nsr.getMaxPollResultSize());
		
		nsr = rF.createNewSessionRes(sid, pid, mprs);
		assertEquals(pid, nsr.getPublisherId());
		assertEquals(sid, nsr.getSessionId());
		assertEquals(mprs, nsr.getMaxPollResultSize());
	}
	
}
