package de.fhhannover.inform.trust.ifmapj.util;

import static org.junit.Assert.assertEquals;
import org.junit.Test;

import util.Pair;

/**
 * Simple testcase for class {@link Pair}.
 * 
 * @author ib
 *
 */
public class PairTest {

	@Test
	public void testDefaultContructor(){
		Pair<String, String> p = new Pair<String, String>();
		
		assertEquals(null, p.first);
		assertEquals(null, p.second);
	}
	
	@Test
	public void testContructorSameTypes(){
		String first = "first";
		String second = "second";
		Pair<String, String> p;
		
		p = new Pair<String, String>(first, second);
		assertEquals(first, p.first);
		assertEquals(second, p.second);
	}
	
	@Test
	public void testContructorDifferentTypes(){
		String first = "first";
		Integer second = new Integer(2);
		Pair<String, Integer> p;
		
		p = new Pair<String, Integer>(first, second);
		assertEquals(first, p.first);
		assertEquals(second, p.second);
	}

}
